<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::matrix_traits&lt; matrix_add_exp&lt; LHS, RHS &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1matrix__traits_3_01matrix__add__exp_3_01_l_h_s_00_01_r_h_s_01_4_01_4.html">matrix_traits&lt; matrix_add_exp&lt; LHS, RHS &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1matrix__traits_3_01matrix__add__exp_3_01_l_h_s_00_01_r_h_s_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::matrix_traits&lt; matrix_add_exp&lt; LHS, RHS &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0993d61a42e15ae530520e2ee9d8f81d"><td class="memItemLeft" align="right" valign="top"><a id="a0993d61a42e15ae530520e2ee9d8f81d"></a>
typedef LHS::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a0993d61a42e15ae530520e2ee9d8f81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0445b063811d03e450660bc78fde29d6"><td class="memItemLeft" align="right" valign="top"><a id="a0445b063811d03e450660bc78fde29d6"></a>
typedef LHS::type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a0445b063811d03e450660bc78fde29d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21b153df2f23aefea75186355d93811d"><td class="memItemLeft" align="right" valign="top"><a id="a21b153df2f23aefea75186355d93811d"></a>
typedef LHS::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a21b153df2f23aefea75186355d93811d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7194160c3e095bb2bfab81dfce849ea7"><td class="memItemLeft" align="right" valign="top"><a id="a7194160c3e095bb2bfab81dfce849ea7"></a>
typedef LHS::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a7194160c3e095bb2bfab81dfce849ea7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ab934cb1d12694e95ddc539420dcf2f0a"><td class="memItemLeft" align="right" valign="top"><a id="ab934cb1d12694e95ddc539420dcf2f0a"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = (RHS::NR &gt; LHS::NR) ? RHS::NR : LHS::NR</td></tr>
<tr class="separator:ab934cb1d12694e95ddc539420dcf2f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb33fefc2d4a9254df6317e5061638b7"><td class="memItemLeft" align="right" valign="top"><a id="adb33fefc2d4a9254df6317e5061638b7"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = (RHS::NC &gt; LHS::NC) ? RHS::NC : LHS::NC</td></tr>
<tr class="separator:adb33fefc2d4a9254df6317e5061638b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5187db7e438df20068f4bde72f0e2d1e"><td class="memItemLeft" align="right" valign="top"><a id="a5187db7e438df20068f4bde72f0e2d1e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = LHS::cost+RHS::cost+1</td></tr>
<tr class="separator:a5187db7e438df20068f4bde72f0e2d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix_2matrix_8h_source.html">matrix/matrix.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
